tika-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Tim Allison <talli...@apache.org>
Subject [CVE-2019-10093] Denial of Service in Apache Tika's 2003ml and 2006ml Parsers
Date Fri, 02 Aug 2019 11:34:26 GMT
Title: [CVE-2019-10093] Denial of Service in Apache Tika's 2003ml and
2006ml Parsers

Severity: Medium

Vendor: The Apache Software Foundation

Versions Affected: Apache Tika  1.19 to 1.21

Description:
A carefully crafted 2003ml or 2006ml file could consume all available
SAXParsers in the pool and lead to very long hangs.


Mitigation:
Apache Tika users should upgrade to 1.22 or later.


Credit:
This issue was discovered by Tim Allison on the Apache Tika team.

Mime
View raw message